'use strict';

Object.defineProperty(exports, "__esModule", {
   value: true
});
exports.inode_tests = inode_tests;

var _inode = require('../inode');

var _tape = require('tape');

var _tape2 = _interopRequireDefault(_tape);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function inode_tests() {

   signature_payloads = [[0, 0, '00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'], [256, 512, '00000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000200']];

   (0, _tape2.default)('signature encoding', function (t) {
      t.plan(signature_payloads.length);

      var _iteratorNormalCompletion = true;
      var _didIteratorError = false;
      var _iteratorError = undefined;

      try {
         for (var _iterator = signature_payloads[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
            payload_info = _step.value;

            r = payload_info[0];
            s = payload_info[1];
            expected_out = payload_info[2];

            t.ok(expected_out == (0, _inode.encode_signature)(r, s));
         }
      } catch (err) {
         _didIteratorError = true;
         _iteratorError = err;
      } finally {
         try {
            if (!_iteratorNormalCompletion && _iterator.return) {
               _iterator.return();
            }
         } finally {
            if (_didIteratorError) {
               throw _iteratorError;
            }
         }
      }
   });
}